Module java.desktop
Package javax.swing.plaf.basic

# Class BasicTabbedPaneUI.TabSelectionHandler

java.lang.Object
javax.swing.plaf.basic.BasicTabbedPaneUI.TabSelectionHandler

All Implemented Interfaces:
  `EventListener`, `ChangeListener`

Enclosing class:
  BasicTabbedPaneUI

public class BasicTabbedPaneUI.TabSelectionHandler extends Object implements ChangeListener
This class should be treated as a "protected" inner class. Instantiate it only within subclasses of BasicTabbedPaneUI.

## Constructor Summary

Constructors
Constructor
Description
`TabSelectionHandler()`
Constructs a `TabSelectionHandler`.

## Method Summary

Modifier and Type
Method
Description
`void`
`stateChanged​(ChangeEvent e)`
Invoked when the target of the listener has changed its state.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TabSelectionHandler

public TabSelectionHandler()
Constructs a `TabSelectionHandler`.

## Method Details

### stateChanged

public void stateChanged​(ChangeEvent e)
Description copied from interface: `ChangeListener`
Invoked when the target of the listener has changed its state.

Specified by:
  `stateChanged` in interface `ChangeListener`
Parameters:
  `e` - a ChangeEvent object